Skip to main content
POST
/
contracts
/
{id}
/
update-status
Update Contract Status
curl --request POST \
  --url https://v1.api.flux-os.com/contracts/{id}/update-status \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-user-id: <api-key>' \
  --data '{
  "status": 123
}'
{
  "external_id": "<string>",
  "start_date": "2023-12-25",
  "volume": 123,
  "id": "<string>",
  "end_date": null,
  "differential_unit_amount": null,
  "percentage_of_index": null,
  "percentage_of_benchmark": null,
  "percentage_of_benchmark_measurement_unit": null,
  "broker_transaction_id": null,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "parties": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "users": [
        {
          "party": "<unknown>",
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "schedules": [
    {
      "production_month": "2023-12-25",
      "volume": 123,
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "estimated_qualities": [
        {
          "value": 123,
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "chains": [
        {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "legs": [
            {
              "position": 123,
              "chain": "<unknown>",
              "volume": 123,
              "id": "<string>",
              "source_well": {
                "id": "<string>",
                "name": null
              },
              "is_custody_transfer": false,
              "is_chain_source": false,
              "is_chain_destination": false,
              "fob": false,
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ]
    }
  ],
  "profit_shares": [
    {
      "value": 123,
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "paper": {
    "id": "<string>",
    "external_id": null,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "legal_provisions": [
      {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "fees": [
    {
      "id": "<string>",
      "amount": null,
      "transport_leg": null,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "total_cost": 123
    }
  ],
  "premiums": [
    {
      "amount": 123,
      "id": "<string>",
      "name": "Premium",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pricing_provisions": [
    {
      "id": "<string>",
      "description": null,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "groups": [
        {
          "id": "<string>",
          "parent_group": null,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "conditions": [
            {
              "value": 123,
              "id": "<string>",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required
x-user-id
string
header
required

Path Parameters

id
integer
required

The contract ID.

Body

application/json
status
integer
required

Response

Contract updated.

external_id
string
required
Maximum string length: 255
start_date
string<date>
required
volume
number
required
id
string
organization
object
status
object
term
object
transaction_type
object
type
object
end_date
string<date> | null
volume_measurement_unit
object
measurement_type
object
pricing_basis
object
differential_unit_amount
number | null
differential_currency
object
differential_measurement_unit
object
percentage_of_index
number | null
percentage_of_index_measurement_unit
object
percentage_of_benchmark
number | null
percentage_of_benchmark_measurement_unit
unknown
settlement_currency
object
payment_term
object
eq
object
index
object
product_category
object
stream
object
benchmark
object
stream_wadf
object
feeder_wadf
object
broker_transaction_id
string | null
Maximum string length: 255
created_at
string<date-time>
updated_at
string<date-time>
parties
object[]
schedules
object[]
profit_shares
object[]
paper
object
fees
object[]
premiums
object[]
pricing_provisions
object[]